#ifndef _GIR_PREFERENCES_H_
#define _GIR_PREFERENCES_H_

#include <gtk/gtkwidget.h>
#include "gir-mappings.h"

GtkWidget* gir_preferences_new (GirMappings *mappings);

void	   gir_preferences_set_test_result (GtkWidget *pref,
					    const char *control,
					    const char *button,
					    int repeat);
gboolean   gir_preferences_is_test_mode (GtkWidget *pref);

void	   gir_preferences_set_controls_callback
		(GtkWidget *pref,
		 const GList* (*callback)(gpointer data),
		 gpointer data);
void	   gir_preferences_set_buttons_callback
		(GtkWidget *pref,
		 const GList* (*callback)(const char *button, gpointer data),
		 gpointer data);

#endif /* _GIR_PREFERENCES_H_ */
