/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
#ifndef _GIR_TRAY_H_
#define _GIR_TRAY_H_

#include <gtk/gtk.h>

typedef struct _GirTrayIcon GirTrayIcon;

GirTrayIcon*	gir_tray_icon_new  (void);
void		gir_tray_icon_free (GirTrayIcon *icon);

void	gir_tray_icon_set_connect_callback (GirTrayIcon *tray_icon,
					    void (*cb)(GirTrayIcon *tray,
						       gboolean     activated,
						       gpointer     data),
					    gpointer data);
void	gir_tray_icon_set_about_callback   (GirTrayIcon *tray_icon,
					    void (*cb)(GirTrayIcon *tray,
						       gpointer     data),
					    gpointer data);
void	gir_tray_icon_set_prefs_callback   (GirTrayIcon *tray_icon,
					    void (*cb)(GirTrayIcon *tray,
						       gpointer     data),
					    gpointer data);
void	gir_tray_icon_set_quit_callback    (GirTrayIcon *tray_icon,
					    void (*cb)(GirTrayIcon *tray,
						       gpointer     data),
					    gpointer data);

void gir_tray_icon_set_active    (GirTrayIcon *tray_icon);
void gir_tray_icon_set_connected (GirTrayIcon *tray_icon, gboolean connected);

#endif /* _GIR_TRAY_H_ */
